Bug 471755 - Fn+RightArrow to increase screen brightness leaves "±" char behind
Fn+RightArrow to increase screen brightness leaves "±" char behind
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-15 14:48 EST by Jason Farrell
Modified: 2009-10-21 12:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-21 12:08:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Farrell 2008-11-15 14:48:17 EST
Description of problem:
Using Fn+RightArrow key to increase the backlight brightness (on an Acer Aspire One netbook) DOES increase the screen brightness, however it also leaves behind "±" characters for each keypress, if your focus happens to be in a text input widget. Also note that the gnome-power-manager OnScreenDisplay for screen brightness is momentarily shown, but the bar does not increase, it *ONLY* decreases, for Fn+LeftArrow, which leaves no garbage chars behind.

Version-Release number of selected component (if applicable):
I presume this is the correct component; but may also be default X keyboard model/layout-related:
gnome-power-manager-2.24.1-3.fc10.i386


Additional info:
Default post-install model/layout: "Unknown model, USA"
Also tried "Acer/Acer Laptop", "Generic/ACPI Standard", and a few others. no change.

Xev output:

###### Fn+LeftArrow
FocusOut event, serial 30, synthetic NO, window 0x4400001,
    mode NotifyGrab, detail NotifyAncestor

FocusIn event, serial 30, synthetic NO, window 0x4400001,
    mode NotifyUngrab, detail NotifyAncestor

KeymapNotify event, serial 30, synthetic NO, window 0x0,
    keys:  2   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   
           0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   

###### Fn+RightArrow
KeyPress event, serial 30, synthetic NO, window 0x4400001,
    root 0x78, subw 0x0, time 63022199, (497,110), root:(503,210),
    state 0x0, keycode 126 (keysym 0xb1, plusminus), same_screen YES,
    XLookupString gives 2 bytes: (c2 b1) "±"
    XmbLookupString gives 2 bytes: (c2 b1) "±"
    XFilterEvent returns: False

KeyRelease event, serial 30, synthetic NO, window 0x4400001,
    root 0x78, subw 0x0, time 63022312, (497,110), root:(503,210),
    state 0x0, keycode 126 (keysym 0xb1, plusminus), same_screen YES,
    XLookupString gives 2 bytes: (c2 b1) "±"
    XFilterEvent returns: False

KeyPress event, serial 30, synthetic NO, window 0x4400001,
    root 0x78, subw 0x0, time 63028512, (497,110), root:(503,210),
    state 0x0, keycode 64 (keysym 0xffe9, Alt_L), same_screen YES,
    XLookupString gives 0 bytes: 
    XmbLookupString gives 0 bytes: 
    XFilterEvent returns: False
Comment 1 Ignacio Vazquez-Abrams 2008-11-16 19:49:28 EST
I'm seeing this as well on a TravelMate 5720.
Comment 2 Noura El hawary 2008-11-26 01:33:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jason Farrell 2009-10-21 12:08:52 EDT
Can no longer reproduce. closing.

Note You need to log in before you can comment on or make changes to this bug.